# PatchClusterProperties

Properties of the payload to change a cluster.

## Properties

| Name                  | Type                                                                    | Description                                                                   | Notes       |
| --------------------- | ----------------------------------------------------------------------- | ----------------------------------------------------------------------------- | ----------- |
| **cores**             | **Integer**                                                             | The number of CPU cores per instance.                                         | \[optional] |
| **ram**               | **Integer**                                                             | The amount of memory per instance in megabytes. Has to be a multiple of 1024. | \[optional] |
| **storageSize**       | **Integer**                                                             | The amount of storage per instance in megabytes.                              | \[optional] |
| **connections**       | [**List\<Connection>**](/postgres-sdk-java/models/connection.md)        |                                                                               | \[optional] |
| **displayName**       | **String**                                                              | The friendly name of your cluster.                                            | \[optional] |
| **maintenanceWindow** | [**MaintenanceWindow**](/postgres-sdk-java/models/maintenancewindow.md) |                                                                               | \[optional] |
| **postgresVersion**   | **String**                                                              | The PostgreSQL version of your cluster.                                       | \[optional] |
| **instances**         | **Integer**                                                             | The total number of instances in the cluster (one master and n-1 standbys).   | \[optional] |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ionos.com/postgres-sdk-java/models/patchclusterproperties.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
